"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
"""
import abc
import collections.abc
import grpc
import grpc.aio
import typing
import vdp.connector.v1alpha.connector_definition_pb2
import vdp.connector.v1alpha.connector_pb2

_T = typing.TypeVar('_T')

class _MaybeAsyncIterator(collections.abc.AsyncIterator[_T], collections.abc.Iterator[_T], metaclass=abc.ABCMeta):
    ...

class _ServicerContext(grpc.ServicerContext, grpc.aio.ServicerContext):  # type: ignore
    ...

class ConnectorPublicServiceStub:
    """Connector service responds to external access"""

    def __init__(self, channel: typing.Union[grpc.Channel, grpc.aio.Channel]) -> None: ...
    Liveness: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.LivenessRequest,
        vdp.connector.v1alpha.connector_pb2.LivenessResponse,
    ]
    """///////////////////////////////
    Connector definition methods
    ///////////////////////////////

    Liveness method receives a LivenessRequest message and returns a
    LivenessResponse message.
    See https://github.com/grpc/grpc/blob/master/doc/health-checking.md
    """
    Readiness: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.ReadinessRequest,
        vdp.connector.v1alpha.connector_pb2.ReadinessResponse,
    ]
    """Readiness method receives a ReadinessRequest message and returns a
    ReadinessResponse message.
    See https://github.com/grpc/grpc/blob/master/doc/health-checking.md
    """
    ListConnectorDefinitions: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_definition_pb2.ListConnectorDefinitionsRequest,
        vdp.connector.v1alpha.connector_definition_pb2.ListConnectorDefinitionsResponse,
    ]
    """ListConnectorDefinitions method receives a
    ListConnectorDefinitionsRequest message and returns a
    ListConnectorDefinitionsResponse message.
    """
    GetConnectorDefinition: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_definition_pb2.GetConnectorDefinitionRequest,
        vdp.connector.v1alpha.connector_definition_pb2.GetConnectorDefinitionResponse,
    ]
    """GetConnectorDefinition method receives a
    GetConnectorDefinitionRequest message and returns a
    GetGetConnectorDefinitionResponse message.
    """
    ListConnectorResources: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.ListConnectorResourcesRequest,
        vdp.connector.v1alpha.connector_pb2.ListConnectorResourcesResponse,
    ]
    """///////////////////////////////
    Connector-Resource methods
    ///////////////////////////////

    ListConnectorResources method receives a
    ListConnectorResourcesRequest message and returns a
    ListConnectorResourcesResponse message.
    """
    LookUpConnectorResource: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.LookUpConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.LookUpConnectorResourceResponse,
    ]
    """LookUpConnectorResource method receives a
    LookUpConnectorResourceRequest message and returns a
    LookUpConnectorResourceResponse
    """
    CreateUserConnectorResource: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.CreateUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.CreateUserConnectorResourceResponse,
    ]
    """CreateUserConnectorResource method receives a
    CreateUserConnectorResourceRequest message and returns a
    CreateUserConnectorResourceResponse message.
    """
    ListUserConnectorResources: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.ListUserConnectorResourcesRequest,
        vdp.connector.v1alpha.connector_pb2.ListUserConnectorResourcesResponse,
    ]
    """ListUserConnectorResources method receives a
    ListUserConnectorResourcesRequest message and returns a
    ListUserConnectorResourcesResponse message.
    """
    GetUserConnectorResource: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.GetUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.GetUserConnectorResourceResponse,
    ]
    """GetUserConnectorResource method receives a GetUserConnectorResourceRequest
    message and returns a GetUserConnectorResourceResponse message.
    """
    UpdateUserConnectorResource: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.UpdateUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.UpdateUserConnectorResourceResponse,
    ]
    """UpdateUserConnectorResource method receives a
    UpdateUserConnectorResourceRequest message and returns a
    UpdateUserConnectorResourceResponse message.
    """
    DeleteUserConnectorResource: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.DeleteUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.DeleteUserConnectorResourceResponse,
    ]
    """DeleteUserConnectorResource method receives a
    DeleteUserConnectorResourceRequest message and returns a
    DeleteUserConnectorResourceResponse message.
    """
    ConnectUserConnectorResource: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.ConnectUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.ConnectUserConnectorResourceResponse,
    ]
    """Connect a connector resource.
    The "state" of the connector resource after connecting is "CONNECTED".
    ConnectUserConnectorResource can be called on ConnectorResource in the
    state `DISCONNECTED`; ConnectorResource in a different state (including
    `CONNECTED`) returns an error.
    """
    DisconnectUserConnectorResource: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.DisconnectUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.DisconnectUserConnectorResourceResponse,
    ]
    """Disconnect a connectorResource.
    The "state" of the connectorResource after disconnecting is "DISCONNECTED".
    DisconnectUserConnectorResource can be called on ConnectorResource in the
    state `CONNECTED`; ConnectorResource in a different state (including
    `DISCONNECTED`) returns an error.
    """
    RenameUserConnectorResource: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.RenameUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.RenameUserConnectorResourceResponse,
    ]
    """RenameUserConnectorResource method receives a
    RenameUserConnectorResourceRequest message and returns a
    RenameUserConnectorResourceResponse message.
    """
    ExecuteUserConnectorResource: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.ExecuteUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.ExecuteUserConnectorResourceResponse,
    ]
    """ExecuteUserConnectorResource method receives a
    ExecuteUserConnectorResourceRequest message and returns a
    ExecuteUserConnectorResourceResponse message.
    """
    WatchUserConnectorResource: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.WatchUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.WatchUserConnectorResourceResponse,
    ]
    """WatchUserConnectorResource method receives a
    WatchUserConnectorResourceRequest message and returns a
    WatchUserConnectorResourceResponse
    """
    TestUserConnectorResource: grpc.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.TestUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.TestUserConnectorResourceResponse,
    ]
    """TestUserConnectorResource method receives a TestUserConnectorResourceRequest
    message and returns a TestUserConnectorResourceResponse
    """

class ConnectorPublicServiceAsyncStub:
    """Connector service responds to external access"""

    Liveness: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.LivenessRequest,
        vdp.connector.v1alpha.connector_pb2.LivenessResponse,
    ]
    """///////////////////////////////
    Connector definition methods
    ///////////////////////////////

    Liveness method receives a LivenessRequest message and returns a
    LivenessResponse message.
    See https://github.com/grpc/grpc/blob/master/doc/health-checking.md
    """
    Readiness: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.ReadinessRequest,
        vdp.connector.v1alpha.connector_pb2.ReadinessResponse,
    ]
    """Readiness method receives a ReadinessRequest message and returns a
    ReadinessResponse message.
    See https://github.com/grpc/grpc/blob/master/doc/health-checking.md
    """
    ListConnectorDefinitions: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_definition_pb2.ListConnectorDefinitionsRequest,
        vdp.connector.v1alpha.connector_definition_pb2.ListConnectorDefinitionsResponse,
    ]
    """ListConnectorDefinitions method receives a
    ListConnectorDefinitionsRequest message and returns a
    ListConnectorDefinitionsResponse message.
    """
    GetConnectorDefinition: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_definition_pb2.GetConnectorDefinitionRequest,
        vdp.connector.v1alpha.connector_definition_pb2.GetConnectorDefinitionResponse,
    ]
    """GetConnectorDefinition method receives a
    GetConnectorDefinitionRequest message and returns a
    GetGetConnectorDefinitionResponse message.
    """
    ListConnectorResources: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.ListConnectorResourcesRequest,
        vdp.connector.v1alpha.connector_pb2.ListConnectorResourcesResponse,
    ]
    """///////////////////////////////
    Connector-Resource methods
    ///////////////////////////////

    ListConnectorResources method receives a
    ListConnectorResourcesRequest message and returns a
    ListConnectorResourcesResponse message.
    """
    LookUpConnectorResource: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.LookUpConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.LookUpConnectorResourceResponse,
    ]
    """LookUpConnectorResource method receives a
    LookUpConnectorResourceRequest message and returns a
    LookUpConnectorResourceResponse
    """
    CreateUserConnectorResource: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.CreateUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.CreateUserConnectorResourceResponse,
    ]
    """CreateUserConnectorResource method receives a
    CreateUserConnectorResourceRequest message and returns a
    CreateUserConnectorResourceResponse message.
    """
    ListUserConnectorResources: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.ListUserConnectorResourcesRequest,
        vdp.connector.v1alpha.connector_pb2.ListUserConnectorResourcesResponse,
    ]
    """ListUserConnectorResources method receives a
    ListUserConnectorResourcesRequest message and returns a
    ListUserConnectorResourcesResponse message.
    """
    GetUserConnectorResource: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.GetUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.GetUserConnectorResourceResponse,
    ]
    """GetUserConnectorResource method receives a GetUserConnectorResourceRequest
    message and returns a GetUserConnectorResourceResponse message.
    """
    UpdateUserConnectorResource: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.UpdateUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.UpdateUserConnectorResourceResponse,
    ]
    """UpdateUserConnectorResource method receives a
    UpdateUserConnectorResourceRequest message and returns a
    UpdateUserConnectorResourceResponse message.
    """
    DeleteUserConnectorResource: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.DeleteUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.DeleteUserConnectorResourceResponse,
    ]
    """DeleteUserConnectorResource method receives a
    DeleteUserConnectorResourceRequest message and returns a
    DeleteUserConnectorResourceResponse message.
    """
    ConnectUserConnectorResource: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.ConnectUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.ConnectUserConnectorResourceResponse,
    ]
    """Connect a connector resource.
    The "state" of the connector resource after connecting is "CONNECTED".
    ConnectUserConnectorResource can be called on ConnectorResource in the
    state `DISCONNECTED`; ConnectorResource in a different state (including
    `CONNECTED`) returns an error.
    """
    DisconnectUserConnectorResource: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.DisconnectUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.DisconnectUserConnectorResourceResponse,
    ]
    """Disconnect a connectorResource.
    The "state" of the connectorResource after disconnecting is "DISCONNECTED".
    DisconnectUserConnectorResource can be called on ConnectorResource in the
    state `CONNECTED`; ConnectorResource in a different state (including
    `DISCONNECTED`) returns an error.
    """
    RenameUserConnectorResource: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.RenameUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.RenameUserConnectorResourceResponse,
    ]
    """RenameUserConnectorResource method receives a
    RenameUserConnectorResourceRequest message and returns a
    RenameUserConnectorResourceResponse message.
    """
    ExecuteUserConnectorResource: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.ExecuteUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.ExecuteUserConnectorResourceResponse,
    ]
    """ExecuteUserConnectorResource method receives a
    ExecuteUserConnectorResourceRequest message and returns a
    ExecuteUserConnectorResourceResponse message.
    """
    WatchUserConnectorResource: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.WatchUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.WatchUserConnectorResourceResponse,
    ]
    """WatchUserConnectorResource method receives a
    WatchUserConnectorResourceRequest message and returns a
    WatchUserConnectorResourceResponse
    """
    TestUserConnectorResource: grpc.aio.UnaryUnaryMultiCallable[
        vdp.connector.v1alpha.connector_pb2.TestUserConnectorResourceRequest,
        vdp.connector.v1alpha.connector_pb2.TestUserConnectorResourceResponse,
    ]
    """TestUserConnectorResource method receives a TestUserConnectorResourceRequest
    message and returns a TestUserConnectorResourceResponse
    """

class ConnectorPublicServiceServicer(metaclass=abc.ABCMeta):
    """Connector service responds to external access"""

    @abc.abstractmethod
    def Liveness(
        self,
        request: vdp.connector.v1alpha.connector_pb2.LivenessRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_pb2.LivenessResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_pb2.LivenessResponse]]:
        """///////////////////////////////
        Connector definition methods
        ///////////////////////////////

        Liveness method receives a LivenessRequest message and returns a
        LivenessResponse message.
        See https://github.com/grpc/grpc/blob/master/doc/health-checking.md
        """
    @abc.abstractmethod
    def Readiness(
        self,
        request: vdp.connector.v1alpha.connector_pb2.ReadinessRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_pb2.ReadinessResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_pb2.ReadinessResponse]]:
        """Readiness method receives a ReadinessRequest message and returns a
        ReadinessResponse message.
        See https://github.com/grpc/grpc/blob/master/doc/health-checking.md
        """
    @abc.abstractmethod
    def ListConnectorDefinitions(
        self,
        request: vdp.connector.v1alpha.connector_definition_pb2.ListConnectorDefinitionsRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_definition_pb2.ListConnectorDefinitionsResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_definition_pb2.ListConnectorDefinitionsResponse]]:
        """ListConnectorDefinitions method receives a
        ListConnectorDefinitionsRequest message and returns a
        ListConnectorDefinitionsResponse message.
        """
    @abc.abstractmethod
    def GetConnectorDefinition(
        self,
        request: vdp.connector.v1alpha.connector_definition_pb2.GetConnectorDefinitionRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_definition_pb2.GetConnectorDefinitionResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_definition_pb2.GetConnectorDefinitionResponse]]:
        """GetConnectorDefinition method receives a
        GetConnectorDefinitionRequest message and returns a
        GetGetConnectorDefinitionResponse message.
        """
    @abc.abstractmethod
    def ListConnectorResources(
        self,
        request: vdp.connector.v1alpha.connector_pb2.ListConnectorResourcesRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_pb2.ListConnectorResourcesResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_pb2.ListConnectorResourcesResponse]]:
        """///////////////////////////////
        Connector-Resource methods
        ///////////////////////////////

        ListConnectorResources method receives a
        ListConnectorResourcesRequest message and returns a
        ListConnectorResourcesResponse message.
        """
    @abc.abstractmethod
    def LookUpConnectorResource(
        self,
        request: vdp.connector.v1alpha.connector_pb2.LookUpConnectorResourceRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_pb2.LookUpConnectorResourceResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_pb2.LookUpConnectorResourceResponse]]:
        """LookUpConnectorResource method receives a
        LookUpConnectorResourceRequest message and returns a
        LookUpConnectorResourceResponse
        """
    @abc.abstractmethod
    def CreateUserConnectorResource(
        self,
        request: vdp.connector.v1alpha.connector_pb2.CreateUserConnectorResourceRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_pb2.CreateUserConnectorResourceResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_pb2.CreateUserConnectorResourceResponse]]:
        """CreateUserConnectorResource method receives a
        CreateUserConnectorResourceRequest message and returns a
        CreateUserConnectorResourceResponse message.
        """
    @abc.abstractmethod
    def ListUserConnectorResources(
        self,
        request: vdp.connector.v1alpha.connector_pb2.ListUserConnectorResourcesRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_pb2.ListUserConnectorResourcesResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_pb2.ListUserConnectorResourcesResponse]]:
        """ListUserConnectorResources method receives a
        ListUserConnectorResourcesRequest message and returns a
        ListUserConnectorResourcesResponse message.
        """
    @abc.abstractmethod
    def GetUserConnectorResource(
        self,
        request: vdp.connector.v1alpha.connector_pb2.GetUserConnectorResourceRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_pb2.GetUserConnectorResourceResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_pb2.GetUserConnectorResourceResponse]]:
        """GetUserConnectorResource method receives a GetUserConnectorResourceRequest
        message and returns a GetUserConnectorResourceResponse message.
        """
    @abc.abstractmethod
    def UpdateUserConnectorResource(
        self,
        request: vdp.connector.v1alpha.connector_pb2.UpdateUserConnectorResourceRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_pb2.UpdateUserConnectorResourceResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_pb2.UpdateUserConnectorResourceResponse]]:
        """UpdateUserConnectorResource method receives a
        UpdateUserConnectorResourceRequest message and returns a
        UpdateUserConnectorResourceResponse message.
        """
    @abc.abstractmethod
    def DeleteUserConnectorResource(
        self,
        request: vdp.connector.v1alpha.connector_pb2.DeleteUserConnectorResourceRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_pb2.DeleteUserConnectorResourceResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_pb2.DeleteUserConnectorResourceResponse]]:
        """DeleteUserConnectorResource method receives a
        DeleteUserConnectorResourceRequest message and returns a
        DeleteUserConnectorResourceResponse message.
        """
    @abc.abstractmethod
    def ConnectUserConnectorResource(
        self,
        request: vdp.connector.v1alpha.connector_pb2.ConnectUserConnectorResourceRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_pb2.ConnectUserConnectorResourceResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_pb2.ConnectUserConnectorResourceResponse]]:
        """Connect a connector resource.
        The "state" of the connector resource after connecting is "CONNECTED".
        ConnectUserConnectorResource can be called on ConnectorResource in the
        state `DISCONNECTED`; ConnectorResource in a different state (including
        `CONNECTED`) returns an error.
        """
    @abc.abstractmethod
    def DisconnectUserConnectorResource(
        self,
        request: vdp.connector.v1alpha.connector_pb2.DisconnectUserConnectorResourceRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_pb2.DisconnectUserConnectorResourceResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_pb2.DisconnectUserConnectorResourceResponse]]:
        """Disconnect a connectorResource.
        The "state" of the connectorResource after disconnecting is "DISCONNECTED".
        DisconnectUserConnectorResource can be called on ConnectorResource in the
        state `CONNECTED`; ConnectorResource in a different state (including
        `DISCONNECTED`) returns an error.
        """
    @abc.abstractmethod
    def RenameUserConnectorResource(
        self,
        request: vdp.connector.v1alpha.connector_pb2.RenameUserConnectorResourceRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_pb2.RenameUserConnectorResourceResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_pb2.RenameUserConnectorResourceResponse]]:
        """RenameUserConnectorResource method receives a
        RenameUserConnectorResourceRequest message and returns a
        RenameUserConnectorResourceResponse message.
        """
    @abc.abstractmethod
    def ExecuteUserConnectorResource(
        self,
        request: vdp.connector.v1alpha.connector_pb2.ExecuteUserConnectorResourceRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_pb2.ExecuteUserConnectorResourceResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_pb2.ExecuteUserConnectorResourceResponse]]:
        """ExecuteUserConnectorResource method receives a
        ExecuteUserConnectorResourceRequest message and returns a
        ExecuteUserConnectorResourceResponse message.
        """
    @abc.abstractmethod
    def WatchUserConnectorResource(
        self,
        request: vdp.connector.v1alpha.connector_pb2.WatchUserConnectorResourceRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_pb2.WatchUserConnectorResourceResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_pb2.WatchUserConnectorResourceResponse]]:
        """WatchUserConnectorResource method receives a
        WatchUserConnectorResourceRequest message and returns a
        WatchUserConnectorResourceResponse
        """
    @abc.abstractmethod
    def TestUserConnectorResource(
        self,
        request: vdp.connector.v1alpha.connector_pb2.TestUserConnectorResourceRequest,
        context: _ServicerContext,
    ) -> typing.Union[vdp.connector.v1alpha.connector_pb2.TestUserConnectorResourceResponse, collections.abc.Awaitable[vdp.connector.v1alpha.connector_pb2.TestUserConnectorResourceResponse]]:
        """TestUserConnectorResource method receives a TestUserConnectorResourceRequest
        message and returns a TestUserConnectorResourceResponse
        """

def add_ConnectorPublicServiceServicer_to_server(servicer: ConnectorPublicServiceServicer, server: typing.Union[grpc.Server, grpc.aio.Server]) -> None: ...
